# Cash app and after pay not showing on square hosted checkout

**URL:** <https://developer.squareup.com/forums/t/cash-app-and-after-pay-not-showing-on-square-hosted-checkout/26506>\
**Category:** Questions\
**Tags:** checkout-api\
**Created:** [June 20, 2026, 12:49am UTC](https://developer.squareup.com/forums/t/cash-app-and-after-pay-not-showing-on-square-hosted-checkout/26506 "2026-06-20T00:49:46Z")\
**Posts on this page:** 4\
**Page:** 1

<div class="post-metadata">

**Author:** ![wordpress.ingenious](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/wordpress.ingenious/32/12054_2.png) [@wordpress.ingenious](https://developer.squareup.com/forums/u/wordpress.ingenious)\
**Post date:** [June 20, 2026, 12:49am UTC](https://developer.squareup.com/forums/t/cash-app-and-after-pay-not-showing-on-square-hosted-checkout/26506/1 "2026-06-20T00:49:47Z")

</div>

![image](https://global.discourse-cdn.com/square/original/2X/d/d3baf1455f82e0913af13ea45c868bb95c50ae9d.png)

{  
“merchant\_settings”: {  
“payment\_methods”: {  
“apple\_pay”: {  
“enabled”: true  
},  
“google\_pay”: {  
“enabled”: true  
},  
“cash\_app”: {  
“enabled”: true  
},  
“afterpay\_clearpay”: {  
“order\_eligibility\_range”: {  
“min”: {  
“amount”: 1000,  
“currency”: “USD”  
},  
“max”: {  
“amount”: 200000,  
“currency”: “USD”  
}  
},  
“item\_eligibility\_range”: {  
“min”: {  
“amount”: 1000,  
“currency”: “USD”  
},  
“max”: {  
“amount”: 200000,  
“currency”: “USD”  
}  
},  
“enabled”: true  
}  
},  
“updated\_at”: “2026-06-20 00:47:43 +0000 UTC”  
}  
}

---

<div class="post-metadata">

**Author:** ![wordpress.ingenious](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/wordpress.ingenious/32/12054_2.png) [@wordpress.ingenious](https://developer.squareup.com/forums/u/wordpress.ingenious)\
**Post date:** [June 20, 2026, 1:10am UTC](https://developer.squareup.com/forums/t/cash-app-and-after-pay-not-showing-on-square-hosted-checkout/26506/2 "2026-06-20T01:10:55Z")

</div>

i already enabled **GET** /v2/online-checkout/merchant-settings

google pay and apple pay working fine when i enabled it’s shows on square checkout but cash app and after pay not showing even after pay enabled from dashboard may i still need to enabled while creating payment link **checkout\_options and accepted\_payment\_methods ?**

---

<div class="post-metadata">

**Author:** ![wordpress.ingenious](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/wordpress.ingenious/32/12054_2.png) [@wordpress.ingenious](https://developer.squareup.com/forums/u/wordpress.ingenious)\
**Post date:** [June 22, 2026, 11:54am UTC](https://developer.squareup.com/forums/t/cash-app-and-after-pay-not-showing-on-square-hosted-checkout/26506/3 "2026-06-22T11:54:54Z")

</div>

@Bryan-Square any update on this ?

---

<div class="post-metadata">

**Author:** ![ashley-square](https://avatars.discourse-cdn.com/v4/letter/a/5f9b8f/32.png) [@ashley-square](https://developer.squareup.com/forums/u/ashley-square)\
**Post date:** [June 22, 2026, 6:38pm UTC](https://developer.squareup.com/forums/t/cash-app-and-after-pay-not-showing-on-square-hosted-checkout/26506/4 "2026-06-22T18:38:51Z")

</div>

Could you check your `CreatePaymentLink` request body to confirm you’re passing `cash_app_pay` and `afterpay_clearpay` in `checkout_options.accepted_payment_methods`? Apple Pay and Google Pay appear by default, but Cash App and Afterpay need to be explicitly opted in.

> **[POST /v2/online-checkout/payment-links - Square API Reference](https://developer.squareup.com/reference/square/checkout-api/create-payment-link)**
>
> Creates a Square-hosted checkout page.
